Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2253653002: Only allow HTTP/0.9 support on default ports. (Closed)

Created:
3 years, 2 months ago by mmenke
Modified:
3 years, 1 month ago
CC:
chromium-reviews, cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Only allow HTTP/0.9 support on default ports. Also add a group policy to allow HTTP/0.9 support on other ports, which I plan to remove in a couple revisions. BUG=624462, 637017 Committed: https://crrev.com/398c105ea8391473126021104554d70fda08324b Cr-Commit-Position: refs/heads/master@{#415643}

Patch Set 1 #

Patch Set 2 : Add tests, work towards a group policy #

Patch Set 3 : group policy #

Patch Set 4 : Merge #

Patch Set 5 : Remove unrelated changes to random file (Where did they come from???) #

Total comments: 10

Patch Set 6 : Response to comments #

Patch Set 7 : Update policy id (*sigh*) #

Total comments: 4

Patch Set 8 : Response to comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+335 lines, -45 lines) Patch
M chrome/browser/io_thread.h View 1 2 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/io_thread.cc View 1 2 3 5 chunks +15 lines, -2 lines 0 comments Download
M chrome/browser/io_thread_unittest.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/net/errorpage_browsertest.cc View 1 2 3 4 5 3 chunks +45 lines, -0 lines 0 comments Download
M chrome/test/data/policy/policy_test_cases.json View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M components/policy/resources/policy_templates.json View 1 2 3 4 5 6 7 2 chunks +22 lines, -1 line 0 comments Download
M net/http/http_basic_state.h View 1 2 3 chunks +8 lines, -1 line 0 comments Download
M net/http/http_basic_state.cc View 1 2 3 4 5 2 chunks +7 lines, -2 lines 0 comments Download
M net/http/http_basic_state_unittest.cc View 1 2 5 chunks +15 lines, -8 lines 0 comments Download
M net/http/http_basic_stream.h View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M net/http/http_basic_stream.cc View 1 2 2 chunks +7 lines, -3 lines 0 comments Download
M net/http/http_network_session.h View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M net/http/http_network_session.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M net/http/http_network_transaction_unittest.cc View 1 2 3 4 5 2 chunks +53 lines, -1 line 0 comments Download
M net/http/http_stream_factory_impl_job.cc View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M net/http/http_stream_factory_impl_job_controller_unittest.cc View 1 2 3 4 chunks +5 lines, -5 lines 0 comments Download
M net/http/http_stream_parser.h View 1 2 3 4 5 2 chunks +11 lines, -0 lines 0 comments Download
M net/http/http_stream_parser.cc View 1 2 3 4 5 3 chunks +16 lines, -1 line 0 comments Download
M net/http/http_stream_parser_unittest.cc View 1 2 3 4 5 4 chunks +95 lines, -15 lines 0 comments Download
M net/spdy/spdy_test_util_common.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M net/spdy/spdy_test_util_common.cc View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M net/test/embedded_test_server/default_handlers.cc View 1 2 3 3 chunks +8 lines, -0 lines 0 comments Download
M net/websockets/websocket_basic_handshake_stream.cc View 1 2 1 chunk +3 lines, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 45 (35 generated)
mmenke
Eroman: PTAL. If this makes it successfully to stable, I'm thinking I'll try and remove ...
3 years, 1 month ago (2016-08-29 20:37:52 UTC) #21
eroman
lgtm. that is an impressive amount of plumbing needed! https://codereview.chromium.org/2253653002/diff/140001/chrome/browser/net/errorpage_browsertest.cc File chrome/browser/net/errorpage_browsertest.cc (right): https://codereview.chromium.org/2253653002/diff/140001/chrome/browser/net/errorpage_browsertest.cc#newcode1531 chrome/browser/net/errorpage_browsertest.cc:1531: ...
3 years, 1 month ago (2016-08-29 22:11:55 UTC) #24
mmenke
Thanks, Eric! https://codereview.chromium.org/2253653002/diff/140001/chrome/browser/net/errorpage_browsertest.cc File chrome/browser/net/errorpage_browsertest.cc (right): https://codereview.chromium.org/2253653002/diff/140001/chrome/browser/net/errorpage_browsertest.cc#newcode1531 chrome/browser/net/errorpage_browsertest.cc:1531: // Make sure HTTP/0.9 is works on ...
3 years, 1 month ago (2016-08-30 17:50:47 UTC) #27
mmenke
[+pastarmovj]: Please review components/policy [+holte]: Please review histograms.xml (Just updated by running the policy update ...
3 years, 1 month ago (2016-08-30 17:52:30 UTC) #29
Steven Holte
histograms lgtm
3 years, 1 month ago (2016-08-30 22:13:39 UTC) #36
pastarmovj
lgtm with two nits. https://codereview.chromium.org/2253653002/diff/180001/chrome/test/data/policy/policy_test_cases.json File chrome/test/data/policy/policy_test_cases.json (right): https://codereview.chromium.org/2253653002/diff/180001/chrome/test/data/policy/policy_test_cases.json#newcode158 chrome/test/data/policy/policy_test_cases.json:158: "Http09OnNonDefaultPortsEnabled": { You can as ...
3 years, 1 month ago (2016-08-31 12:02:12 UTC) #37
mmenke
Thanks for catching those! https://codereview.chromium.org/2253653002/diff/180001/chrome/test/data/policy/policy_test_cases.json File chrome/test/data/policy/policy_test_cases.json (right): https://codereview.chromium.org/2253653002/diff/180001/chrome/test/data/policy/policy_test_cases.json#newcode158 chrome/test/data/policy/policy_test_cases.json:158: "Http09OnNonDefaultPortsEnabled": { On 2016/08/31 12:02:11, ...
3 years, 1 month ago (2016-08-31 14:30:29 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2253653002/200001
3 years, 1 month ago (2016-08-31 14:31:14 UTC) #41
commit-bot: I haz the power
Committed patchset #8 (id:200001)
3 years, 1 month ago (2016-08-31 16:07:19 UTC) #43
commit-bot: I haz the power
3 years, 1 month ago (2016-08-31 16:08:41 UTC) #45
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/398c105ea8391473126021104554d70fda08324b
Cr-Commit-Position: refs/heads/master@{#415643}

Powered by Google App Engine
This is Rietveld 408576698